/********************************************************************/
/* Copyright (c) 2019 System fugen G.K. and Yuzi Mizuno          */
/* All rights reserved.                                             */
/********************************************************************/

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "resource.h"
#include "GLNamedTargetDlg.h"

/// 名前付きビューダイアログ
class CGLNamedViewDlg : public CGLNamedTargetDlg
{
public:
	CGLNamedViewDlg(MGNamedViewTool* tool);

protected:
	virtual MGNamedViewTool * getNamedViewTool();
	virtual INamedTargetTool * getNamedTargetTool();
	virtual CString GetInputDlgTitle() const;
	virtual CString GetInputDlgLabelSave() const;
	virtual CString GetInputDlgLabelRename() const;
	virtual void LoadBitmap(CBitmap& bmp) const;

	DECLARE_MESSAGE_MAP()
};
